Mute alerts for accounts
curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/accounts/mute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountIds": [
"157#user@example.com",
"158#another@example.com"
],
"alertType": "retired_account",
"until": "2024-12-31T23:59:59.000Z",
"muteOtherAccounts": false
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/accounts/mute"
payload = {
"accountIds": ["157#user@example.com", "158#another@example.com"],
"alertType": "retired_account",
"until": "2024-12-31T23:59:59.000Z",
"muteOtherAccounts": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountIds: ['157#user@example.com', '158#another@example.com'],
alertType: 'retired_account',
until: '2024-12-31T23:59:59.000Z',
muteOtherAccounts: false
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/accounts/mute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Alerts
Mute alerts for accounts
Mute alerts of a specific type for one or more user accounts. Supports temporary mutes with an optional expiration timestamp.
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
alerts
/
accounts
/
mute
Mute alerts for accounts
承認
パスパラメータ
ボディ
application/json
Account IDs (peopleAccountIds) to mute alerts for
例:
[
"157#user@example.com",
"158#another@example.com"
]Alert type to mute
利用可能なオプション:
retired_account, inactive_account, on_leave_account, unknown_account, public_files 例:
"retired_account"
Optional: Timestamp until when the alert should be muted (ISO 8601 format). If not provided, mutes indefinitely.
例:
"2024-12-31T23:59:59.000Z"
Whether to also mute other accounts of the same people
レスポンス
Successfully muted account alerts
The response is of type object.
最終更新日 2026年7月10日
このページは役に立ちましたか?
⌘I

